
:root{    
    --primary: rgba(61, 181, 75, 1);
    --secundary: rgba(0, 165, 79, 1);
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Libre Franklin', sans-serif;
}

html , body {
    height: 100%;
}

.container-page {
    height: 100%;
    display: flex;
    flex-direction: column;
}

/* -------------------------- header page (start) --------------------- */

.navbar-5{
    -webkit-box-shadow: 0px 0px 2px 1px rgba(61, 181, 75, 0.05); 
    box-shadow: 0px 0px 2px 1px rgba(61, 181, 75, 0.05);
}

nav {
    display: flex;
    justify-content: space-between;
}

.navbar-icon-bars {
    
    color: var(--primary);
}

.navbar-light .navbar-toggler{
    color: #ff000000;
    border: none;
}

/* -------------------------- header page (end) --------------------- */

/* -------------------------- main page (end) --------------------- */

.main-page {
    height: 80%;
    display: flex;
    flex-direction: column;
    z-index: 2;
}

.main-page .main-page-logoText {
    display: flex;
    justify-content: center;
}



form .input-data {
    height: 50px;
    width: 100%;
    position: relative;
    margin-top: 10px;
}

form .input-data input {
    height: 50px;
    width: 100%;
    border: none;
    font-size: 20px;
    border-bottom:2px dotted var(--primary);
    padding-top: 8px;
    padding-left: 5px;
}

.input-data input:focus ~ label {
    transform: translateY(-24px);
    font-size: 12px;
    color: var(--primary);
}

form .input-data label {
    position: absolute;
    font-size: 15px;
    bottom: 5px;
    left: 10px;
    color: gray;
    pointer-events: none;
    transition: all 0.3s ease;
}

.input-data .underline {
    position: absolute;
    bottom: 0;
    height: 2px;
    width: 100%;
}

form .input-data .underline:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background: var(--secundary);
    transform: scaleX(0);
    transition: all 0.3s ease;
}

.input-data input:focus ~ .underline:before {
    transform: scaleX(1);
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
}
.button button {
    
    width: 100%;
    height: 9vw;
    font-size: 4vw;
    background-color: var(--secundary);
    border: none;
    color: white;
    transition: all 0.2s ease-in-out;
}

.button button:focus {
    background-color: var(--primary);
}


.form-container form .btn-primary {
    background-color: var(--secundary);
    border-color: var(--secundary);
}

.form-container form .btn-primary:focus{
    background-color: var(--primary);
    border-color: var(--primary);
}

form a {
    text-decoration: none;
    color: var(--primary);
    font-size: 15px;
    font-weight: 700;
}

/* -------------------------- main page (end) --------------------- */

.footer {
    background-color: var(--secundary);
    height: 7%;
    color: white;
    font-size: 10px;
}

footer a{
    text-decoration: none;
    color: white;
    font-size: 15px;
    transition: all 0.2s ease-in-out;
}

footer a:focus{
    color: white;
    font-size: 17px;
}   